% !TeX program = xelatex
\documentclass[9pt]{beamer}
\usetheme[progressbar=frametitle]{metropolis}
\input{packages.tex}
\input{commands.tex}
\input{structure.tex}

\title{Capturing Semantic Similarity\\in Querying User Reviews}
\subtitle{Giulia Baldini}
\author{Free University of Bozen-Bolzano}
\date{Supervisor: Mouna Kacimi El Hassani\\
Co-Supervisor: Werner Nutt}
\institute{20/07/2018, Bolzano}
\titlegraphic{\hfill\includegraphics[height=3cm]{Unibz_Logo.pdf}}

\begin{document}

\maketitle

%\begin{frame}
%\frametitle{Content}
%\setbeamertemplate{section in toc}[sections numbered]
%\tableofcontents[]
%\end{frame}

\include{Sections/1introduction}
\include{Sections/2solution}
\include{Sections/3evaluation}
\include{Sections/4conclusion}
%\include{Sections/5usefulthings}

\begin{frame}[allowframebreaks]{References}
	\nocite{Princeton2010}
	\nocite{Baccianella2010}
	\nocite{Esuli2006}
	\nocite{Fellbaum1998}
	\nocite{Miller1995}
	\nocite{Poggio2017}
	\bibliography{bibliography}
	\bibliographystyle{abbrv}
\end{frame}

\appendix

\begin{frame}{Evaluation on Ground Truth}
\begin{center}
	\small
	\begin{tabular}{c c c c c}
		\toprule
		\textbf{Method} & \multicolumn{1}{c}{\unsyn} & \multicolumn{1}{c}{\unsynsim} & \multicolumn{1}{c}{\unsynsyn} & \multicolumn{1}{c}{\unsynsynsim}\\
		\midrule
		\multirow{2}{*}{\textbf{Precision}}& 0.5 & 0.89 & 0.25 & 0.69 \\
		& \variance{0.5} & \variance{0.89} & \variance{0.25} & \variance{0.69} \vspace{0.3em}\\
		
		\multirow{2}{*}{\textbf{Recall}} & 0.02 & 0.18 & 0.02 & 0.2 \\
		& \variance{0.03} & \variance{0.21} & \variance{0.03} & \variance{0.23} \vspace{0.3em}\\
		
		\multirow{2}{*}{\textbf{F-Score}} & 0.04 & 0.3 & 0.04 & 0.31 \\
		& \variance{0.05} & \variance{0.34} & \variance{0.05} & \variance{0.35} \\
		\bottomrule
	\end{tabular}\\
	\vspace*{1em}
	\begin{tabular}{c c c c c c}
		\toprule
		\textbf{Method} & \multicolumn{1}{c}{\spacya} & \multicolumn{1}{c}{\spacyone} & \multicolumn{1}{c}{\spacytwo} & \multicolumn{1}{c}{\spacyinter} & \multicolumn{1}{c}{\spacydocs}\\
		\midrule
		\multirow{2}{*}{\textbf{Precision}} & 0.89 & 0.83 & 0.49 & 0 & 0.48 \\
		& \variance{0.83} & \variance{0.83} & \variance{0.42} & \variance{0} & \variance{0.41}  \vspace{0.3em}\\
		
		\multirow{2}{*}{\textbf{Recall}} & 0.18 & 0.11 & 0.96 & 0 & 0.93 \\
		& \variance{0.19} & \variance{0.13} & \variance{0.96} & \variance{0} & \variance{0.94}  \vspace{0.3em}\\ 
		
		\multirow{2}{*}{\textbf{F-Score}}  & 0.3 & 0.2 & 0.64 & 0 & 0.63 \\
		& \variance{0.32} & \variance{0.22} & \variance{0.58} & \variance{0} & \variance{0.57} \\
		\bottomrule
	\end{tabular}
	\vspace{0.5em}
	
	\footnotesize Threshold for similarity in ground truth: $\varnothing$ of Likert scale $\geq 3.5$ and $\mathrm{Var} \leq 1.5$\\
	Threshold for similarity in \spacy: Cosine Similarity $\geq 0.7$
\end{center}
\end{frame}


\begin{frame}{Selection of Cosine Similarity Threshold}
\small
\hspace*{-0.5em}\makebox[\linewidth][c]{%
\begin{tabular}{c c c c c c c c c}
	\toprule
	\multirow{2}{*}{\textbf{Threshold}} &$\quad$& \multicolumn{3}{c}{\spacytwo} &$\quad$& \multicolumn{3}{c}{\spacydocs}\\ 
	\cmidrule{3-5}
	\cmidrule{7-9}
	&& Precision & Recall & F-score && Precision & Recall & F-score\\ 
	\midrule
	0.5 && 0.46 & 0.99 & 0.63 && 0.46 & 0.99 & 0.63 \\
	0.6 && 0.46 & 0.99 & 0.63 && 0.46 & 0.99 & 0.63 \\
	0.7 && 0.49 & 0.96 & 0.64 && 0.48 & 0.93 & 0.63 \\
	0.8 && 0.56 & 0.62 & 0.59 && 0.54 & 0.6 & 0.57 \\
	0.9 && 0.75 & 0.2 & 0.32 && 0.75 & 0.2 & 0.32 \\
	
	\bottomrule
\end{tabular}}
\begin{itemizeb}
	\item It is reasonable to assume that two vectors are similar if $0.5 \leq cos(\theta) \leq 1$
	\item With 0.7 the precision is slightly better and the recall is slightly worse than before
	\item From 0.8 the recall is drastically worse and the precision is not much better
\end{itemizeb}
\end{frame}

\end{document}

